Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1082330

Summary: Review Request: nodejs-noptify - A wrapper for the nopt module with a commander-like API
Product: [Fedora] Fedora Reporter: Jamie Nguyen <jamielinux>
Component: Package ReviewAssignee: Tom Hughes <tom>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, tom
Target Milestone: ---Flags: tom: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-31 19:33:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1082332    

Description Jamie Nguyen 2014-03-30 12:42:20 UTC
Spec URL: http://jamielinux.fedorapeople.org/gruntjs/nodejs-noptify.spec
SRPM URL: http://jamielinux.fedorapeople.org/gruntjs/SRPMS/nodejs-noptify-0.0.3-1.fc21.src.rpm
Fedora Account System Username: jamielinux

Description:
A wrapper for the nopt module with a commander-like API.

Comment 1 Tom Hughes 2014-03-30 18:35:07 UTC
This is missing a BR on nopt.

Comment 2 Jamie Nguyen 2014-03-30 18:40:45 UTC
Spec URL: http://jamielinux.fedorapeople.org/gruntjs/nodejs-noptify.spec
SRPM URL: http://jamielinux.fedorapeople.org/gruntjs/SRPMS/nodejs-noptify-0.0.3-2.fc21.src.rpm

* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.3-2
- add BR: npm(nopt)

Comment 3 Tom Hughes 2014-03-30 19:24:31 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-noptify-0.0.3-2.fc21.noarch.rpm
          nodejs-noptify-0.0.3-2.fc21.src.rpm
nodejs-noptify.noarch: W: only-non-binary-in-usr-lib
nodejs-noptify.noarch: W: dangling-symlink /usr/lib/node_modules/noptify/node_modules/nopt /usr/lib/node_modules/nopt
nodejs-noptify.src: W: spelling-error Summary(en_US) nopt -> not, opt, nope
nodejs-noptify.src: W: spelling-error %description -l en_US nopt -> not, opt, nope
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-noptify
nodejs-noptify.noarch: W: only-non-binary-in-usr-lib
nodejs-noptify.noarch: W: dangling-symlink /usr/lib/node_modules/noptify/node_modules/nopt /usr/lib/node_modules/nopt
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/tom/1082330-nodejs-noptify/srpm/nodejs-noptify.spec	2014-03-30 19:53:29.566328320 +0100
+++ /home/tom/1082330-nodejs-noptify/srpm-unpacked/nodejs-noptify.spec	2014-03-30 19:39:58.000000000 +0100
@@ -5,5 +5,5 @@
 Name:       nodejs-noptify
 Version:    0.0.3
-Release:    1%{?dist}
+Release:    2%{?dist}
 Summary:    A wrapper for the nopt module with a commander-like API
 License:    MIT
@@ -24,4 +24,5 @@
 %if 0%{?enable_tests}
 BuildRequires:  npm(mocha)
+BuildRequires:  npm(nopt)
 %endif
 
@@ -62,4 +63,7 @@
 
 %changelog
+* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.3-2
+- add BR: npm(nopt)
+
 * Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.3-1
 - initial package


Requires
--------
nodejs-noptify (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(nopt)



Provides
--------
nodejs-noptify:
    nodejs-noptify
    npm(noptify)



Source checksums
----------------
http://registry.npmjs.org/noptify/-/noptify-0.0.3.tgz :
  CHECKSUM(SHA256) this package     : a2c2fca7e79ae19f9211bcb36d2c786738d0320440727e52329eea2555517798
  CHECKSUM(SHA256) upstream package : a2c2fca7e79ae19f9211bcb36d2c786738d0320440727e52329eea2555517798
https://raw.githubusercontent.com/mklabs/noptify/cfa11f776ddcd844a04982c0763df546621ce26a/LICENSE-MIT :
  CHECKSUM(SHA256) this package     : 3ecb00bb1d0a86f1fcf566698118de48462d40c0393dd4b87b78ddde535b5ea1
  CHECKSUM(SHA256) upstream package : 3ecb00bb1d0a86f1fcf566698118de48462d40c0393dd4b87b78ddde535b5ea1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1082330
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Tom Hughes 2014-03-30 19:25:06 UTC
Make sure you use the newer spec from the srpm, but other than that the package is approved.

Comment 5 Jamie Nguyen 2014-03-30 21:29:06 UTC
New Package SCM Request
=======================
Package Name: nodejs-noptify
Short Description: A wrapper for the nopt module with a commander-like API
Owners: jamielinux patches
Branches: f19 f20 el6 
InitialCC:

Comment 6 Gwyn Ciesla 2014-03-31 11:50:54 UTC
Git done (by process-git-requests).